Bug 1648668 - podman assumes sbin in path
Summary: podman assumes sbin in path
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: podman
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-11 13:36 UTC by Eric Rich
Modified: 2018-12-14 20:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-11 17:04:09 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github 1685 0 None None None 2018-11-11 13:36:12 UTC

Description Eric Rich 2018-11-11 13:36:13 UTC
Description of problem: https://github.com/containers/libpod/issues/1685

With Fedora SilverBlue /sbin is not part of a user's path. While this is fixed up stream it does not look to be backported in a way that fedora users can obtain it with our packaging system. 

Version-Release number of selected component (if applicable):Fedora release 29 

$ rpm-ostree status
State: idle
AutomaticUpdates: disabled
Deployments:
● ostree://fedora-workstation:fedora/29/x86_64/silverblue
                   Version: 29.20181104.1 (2018-11-04T04:42:30Z)
                BaseCommit: 9c488a35cf37855872556aadff9e13a25503cdceec9dada7eeaee6c934c7d092
              GPGSignature: Valid signature by 5A03B4DD8254ECA02FDA1637A20AA56B429476B4
           LayeredPackages: gnome-tweaks

  ostree://fedora-workstation:fedora/29/x86_64/silverblue
                   Version: 29.20181104.1 (2018-11-04T04:42:30Z)
                    Commit: 9c488a35cf37855872556aadff9e13a25503cdceec9dada7eeaee6c934c7d092
              GPGSignature: Valid signature by 5A03B4DD8254ECA02FDA1637A20AA56B429476B4

How reproducible: 100%

Steps to Reproduce:
1. Install Silverblue - https://docs.fedoraproject.org/en-US/fedora-silverblue/installation-guide/
2. Create a Dockerfile
3. podman build . 

Actual results:

$ podman build . 
could not get runtime: could not initialize iptables protocol 0: exec: "iptables": executable file not found in $PATH

Expected results:

The docker container should build - with the rootless option, considering the version of podman. 

https://medium.com/cri-o/podman-0-6-4-released-e1623f6a9adb

$ rpm -q podman
podman-0.10.1-1.gite4a1553.fc29.x86_64

Additional info:

Comment 1 Fedora Update System 2018-11-12 14:29:36 UTC
podman-0.11.1-1.gita4adfe5.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c67b523a2d

Comment 2 Fedora Update System 2018-11-12 14:30:48 UTC
podman-0.11.1-1.gita4adfe5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-35572aff9e

Comment 3 Matthew Heon 2018-11-12 15:23:07 UTC
Fixed upstream in 0.11.1 - I'll ask when that will land in Silverblue

Comment 4 Fedora Update System 2018-12-07 01:47:38 UTC
podman-0.12.1-1.git7ba215f.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-db3d63cd94

Comment 5 Fedora Update System 2018-12-07 01:47:48 UTC
podman-0.12.1-1.git7ba215f.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-46a85fa5a7

Comment 6 Fedora Update System 2018-12-07 20:16:39 UTC
podman-0.12.1.1-1.git66d3499.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-17c32cf05c

Comment 7 Fedora Update System 2018-12-07 20:16:55 UTC
podman-0.12.1.1-1.git66d3499.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e8e19475eb

Comment 8 Randy Barlow 2018-12-11 17:04:09 UTC
A Fedora update associated with this bug has been pushed to the stable repository.

Comment 9 Randy Barlow 2018-12-14 20:41:19 UTC
A Fedora update associated with this bug has been pushed to the stable repository.


Note You need to log in before you can comment on or make changes to this bug.